# GimpUi.prop_text_buffer_new

    @accepts(GObject.Object, unicode, int)
    @returns(Gtk.TextBuffer)
    def prop_text_buffer_new(config, property_name, max_len):
        # Python wrapper for gimp_prop_text_buffer_new()

Creates a Gtk.TextBuffer to set and display the value of the specified string property. Unless the string is expected to contain multiple lines or a large amount of text, use GimpUi.prop_entry_new instead. See Gtk.TextView for information on how to insert a text buffer into a visible widget.

If max_len is 0 or negative, the text buffer allows an unlimited number of characters to be entered.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of string property.

max_len

  Maximum allowed length of text (in characters).

Returns